Uploading files to this endpoint enables you to attach them to an application later. Please keep in mind that the auto-generated code on the right-hand side when adding a file from this tool should only be considered as a guide, and might not work when copy-pasting in your code directly. Please refer to the documentation for the language/library you are using on how to upload a multipart-form-data file.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
PHP example
// prepare the parameters
$post_data['file'] = curl_file_create($pathToYourFile, 'application/pdf', 'my_file.pdf');
$headers = [
"Accept: application/json",
"Content-Type: multipart/form-data",
"x-company-id: {yourCompanyId}",
"Authorization: Bearer {yourApiToken}"
];
// configure the CURL request
$request = curl_init('https://api.personio.de/v1/recruiting/applications/documents');
curl_setopt($request, CURLOPT_POST, 1);
curl_setopt($request, CURLOPT_POSTFIELDS, $post_data);
curl_setopt($request, CURLOPT_HTTPHEADER, $headers);
// Execute it
$response = curl_exec($request); 401Unauthorized - The API token and/or company id was not recognized. Please provide a valid API token in as value of an Authorization header, like Bearer api-token-value.
403Forbidden - Your company does not have access to one of the features used in this request.
429Too Many Requests - You have exceeded the rate-limit for your API call.

